var bare = bare || {};
var DotGridClass = function() {};

DotGridClass.prototype = function(){
	
	var Grid = function(options){

		this.appendHTML = '';
		this.rows = options.rows || 5;
		this.columns = options.columns || 70;
		this.itemClass = options.itemClass || 'dot';
		this.rowClass = options.rowClass || 'image-row';
		this.targetLocation = options.targetLocation || '.header-bg';
		this.isInteractive = options.interactive || false;
		this.buildGrid();
	},
	createGrid = function(options) {
		
		var x = new Grid(options);
	};

	Grid.prototype.buildGrid = function(){
		
		for(var i = 0; i < this.rows; i++) {
			this.appendHTML += '<div class="' + this.rowClass + '">';

			for(var x = 0; x < this.columns; x++){
				this.appendHTML += '<div class="' + this.itemClass + '" />';
			}

			this.appendHTML += '</div>';
		}

		this.renderGrid();
	};

	Grid.prototype.renderGrid = function(){
		
		$(this.targetLocation).find('.' + this.rowClass).remove();
		$(this.appendHTML).appendTo(this.targetLocation);
	};

	return {
		createGrid: createGrid
	};
}();