var bare = bare || {},
	EVGoogleMaps = function() {};

EVGoogleMaps.prototype = function(){
	
	var mapEV = function($locations) {
		this.locationsHTML = $locations;
		this.locationsDATA = this.tidyLocations(this.locationsHTML);
		this.mapHTML = $('.map-container .map');
		this.map = false;
		this.startMap();

		//this.locationsHTML.on("click", this.goToLocation.bind(this));

	};

	var initMap = function($locations){
		var map = new mapEV($locations);
	};

	/* Multilocations
	mapEV.prototype.goToLocation = function(e){
			
		var $clicked = $(e.currentTarget),
			panToLatLng = false;
		
		if($clicked.attr('data-location') && (!$clicked.hasClass('active'))) {
			//sort out classes
			this.locationsHTML.removeClass('active');
			$clicked.addClass('active');

			//pan map to loc
			loc = $clicked.data('location').split(',');


			panToLatLng = new google.maps.LatLng(loc[0], loc[1]);
			this.map.panTo(panToLatLng);

			var targetID = $(e.currentTarget).attr('id');

			$('.staff-members').removeClass('active');
			$('#staff-'+targetID).addClass('active');

			$('.office-links').removeClass('active');
			$('#office-links-'+targetID).addClass('active');
		}
	};
	*/


	mapEV.prototype.startMap = function(){

		var self = this,
			lat = this.locationsDATA[0].lat,
			lng = this.locationsDATA[0].lng,
			LatLng = new google.maps.LatLng(lat, lng),
			infowindow = new google.maps.InfoWindow(),
			mapOptions = {
				zoom: 14,
				center: LatLng,
				mapTypeId: google.maps.MapTypeId.ROADMAP,
				mapTypeControl: true
			};
		
		self.map = new google.maps.Map(self.mapHTML[0], mapOptions);
	
		for (i = 0; i < this.locationsDATA.length; i++) {

			var marker = new google.maps.Marker(
					{
						position: new google.maps.LatLng(self.locationsDATA[i].lat, self.locationsDATA[i].lng),
						map: self.map
					}
				);
		}
	};

	mapEV.prototype.tidyLocations = function($locations){
		var cleaned = [];

		$locations.each(function(){
			var $this = $(this);
			
			if($this.attr('data-location')) {
				cleaned.push({
					"lat" : $this.data("location").split(',')[0],
					"lng" : $this.data("location").split(',')[1]
				});
			}
		});

		return cleaned;
	};
	
	return {
		initMap: initMap
	};

}();