	//thinking about using this so we can set up custom firable events

var bare = bare || {};
var CustomRoyalSlider = function() {};

CustomRoyalSlider.prototype = function(){
	
	var $currentSlider,
		$sliderSupport;
	
	var Slider = function(sliderOptions, args){
		
		this.sliderClass = args.sliderClass || '.bare-slider';
		this.slideClass = args.slideClass || '.slide';
		this.sliderSupportClass = args.sliderSupportClass || '.bare-slider-support';
		
		this.slideRef = this.sliderClass + ' ' + this.slideClass;
		
		if($(this.sliderClass).length > 0) {
		
			$currentSlider = $(this.sliderClass).royalSlider(sliderOptions).data('royalSlider');
			
			this.sliderBegin();
			this.sliderEnd();
			this.supportSliderEvents();
			this.highlightInitial();
			
		}
		else {
			return false;
		}

	},
	createSlider = function(sliderOptions, args) {
		var x = new Slider(sliderOptions, args);
	};

	Slider.prototype.sliderBegin = function(){
		var self = this;
				
		//not sure on this one
		$currentSlider.ev.on('rsBeforeMove', function(event) {
			$(self.slideRef).removeClass('active');
			$(self.sliderSupportClass).find('.active').removeClass('active');
		});

		// $currentSlider.ev.on('rsSlideClick', function(event, original){
		// 	window.location.href = $($currentSlider.currSlide.content).find("a").attr("href");
		// 	return false;
		// });

	};

	Slider.prototype.highlightInitial = function(){
		var classToFind = "make"; // if we need this to be dynamic then pass in type. otherwise chill out.
		var $articles = $('.articles');

		$articles.find('.clickable').removeClass('active');
		$('.' + classToFind, $articles).addClass('active');
	};

	Slider.prototype.sliderEnd = function(){
		var self = this;
		
		//again not sure exactly when this starts
		$currentSlider.ev.on('rsBeforeAnimStart', function(event) {
			$(self.slideRef).removeClass('active');
		});

		//easy! once slide has landed and is considered to have finished animation
		$currentSlider.ev.on('rsAfterSlideChange', function(event) {
			
			$($currentSlider.currSlide.content).addClass('active');
			self.setSupportingSlide();
			self.showArticleType();
		});
	};

	Slider.prototype.setSupportingSlide = function(){
		var self = this,
			slideNum = $currentSlider.currSlideId;
			
		$(self.sliderSupportClass).find('.support-click').eq(slideNum).addClass('active');
	};

	Slider.prototype.supportSliderEvents = function(){
		var self = this;

		$(self.sliderSupportClass + ' .support-click').on('click', function(){
			$currentSlider.goTo($(this).index());
		});

	};

	Slider.prototype.showArticleType = function(){
		var classToFind = $currentSlider.currSlide.content.data('type');
		var $articles = $('.articles');

		if(classToFind === 'shop') {
			classToFind = 'product';
		}

		$articles.find('.clickable').removeClass('active');
		$('.' + classToFind, $articles).addClass('active');
		
	};

	return {
		createSlider: createSlider
	};
}();