var bare = bare || {},
	ProductFiltering = function() {};

ProductFiltering.prototype = function(){
	
	var productFilter = function(options) {

		this.linkContainer = options.linkContainer || '.products-filtering';
		$(this.linkContainer).find('a:not(.faq-link)').on('click', this.runFilter.bind(this));

	};

	var init = function(options){
		var filters = new productFilter(options);
	};

	productFilter.prototype.runFilter = function(e){
		var $this = $(e.target);

		if($this.parent().hasClass("faq-link")) window.location = $this.attr("href");

		bare.productArgs.action = 'more_posts';
		bare.productArgs.posts_per_page = 10;
		bare.productArgs.offset = 0;
		bare.productArgs.paged = 1;
		bare.productArgs.post_type = 'product';
		bare.productArgs.product_cat = $this.data('category');
		bare.productArgs.post_status = 'publish';
		bare.productArgs.filters = 'product-page';
		
		$('.ajax-load-more').closest('.row').fadeIn();

		$('.products-filtering li').removeClass('active');

		$this.parent().addClass('active');


		bare.infiniLoader.runAjax(bare.productArgs);

		return false;
	};

	return {
		init: init
	};

}();